| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgrePlatformInformation.h File Reference
`#include "OgrePrerequisites.h"`

## Classes
class | Ogre::PlatformInformation
| Class which provides the run-time platform information Ogre runs on. More...

## Namespaces
| Ogre

## Macros
#define | __OGRE_HAVE_MSA 0
#define | __OGRE_HAVE_NEON 0
#define | __OGRE_HAVE_SSE 0
#define | __OGRE_HAVE_VFP 0
#define | OGRE_CPU OGRE_CPU_UNKNOWN
#define | OGRE_CPU_ARM 3
#define | OGRE_CPU_MIPS 4
#define | OGRE_CPU_PPC 2
#define | OGRE_CPU_UNKNOWN 0
#define | OGRE_CPU_X86 1

## Macro Definition Documentation

## ◆ OGRE_CPU_UNKNOWN

#define OGRE_CPU_UNKNOWN 0

## ◆ OGRE_CPU_X86

#define OGRE_CPU_X86 1

## ◆ OGRE_CPU_PPC

#define OGRE_CPU_PPC 2

## ◆ OGRE_CPU_ARM

#define OGRE_CPU_ARM 3

## ◆ OGRE_CPU_MIPS

#define OGRE_CPU_MIPS 4

## ◆ OGRE_CPU

#define OGRE_CPU OGRE_CPU_UNKNOWN

## ◆ __OGRE_HAVE_SSE

#define __OGRE_HAVE_SSE 0

## ◆ __OGRE_HAVE_VFP

#define __OGRE_HAVE_VFP 0

## ◆ __OGRE_HAVE_NEON

#define __OGRE_HAVE_NEON 0

## ◆ __OGRE_HAVE_MSA

#define __OGRE_HAVE_MSA 0